%define fontdir %{_datadir}/fonts/liberation
%define catalogue %{_sysconfdir}/X11/fontpath.d

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Fonts to replace commonly used Microsoft Windows Fonts
Name: 		liberation-fonts
Version: 	1.0
Release: 	1
License: 	GPLv2 with exceptions
Group: 		User Interface/X
URL: 		https://www.redhat.com/promo/fonts/
Source0: 	liberation-fonts.tar.gz
Source1: 	COPYING
Source2: 	License.txt
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: 	noarch
Buildrequires: xorg-x11-font-utils

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems: Times New Roman,
Arial, and Courier New.

%prep
%setup -q -n %{name} -a 0
%{__cp} %{SOURCE1} %{SOURCE2} %{_builddir}/%{name}

%clean
rm -rf %{buildroot}

%build

%install
rm -rf %{buildroot}
# fonts
install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 *.ttf %{buildroot}%{fontdir}
# configuration
install -m 0755 -d %{buildroot}%{_sysconfdir}/fonts/conf.d
# catalogue
install -d $RPM_BUILD_ROOT%{catalogue}
ln -sf %{fontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}

# generate fonts.dir and fonts.scale
mkfontdir %{buildroot}%{fontdir}
mkfontscale %{buildroot}%{fontdir}

%post
if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x /usr/bin/fc-cache ]; then
    /usr/bin/fc-cache %{_datadir}/fonts
  fi
fi

%files
%defattr(-,root,root)
%doc License.txt COPYING
%dir %{fontdir}
%{fontdir}/*.ttf
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%verify(not md5 size mtime) %{fontdir}/fonts.scale
%{catalogue}/%{name}

%changelog
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Initial release
